=== debian/changelog ===
socnetv (3.2-1) focal; urgency=medium

  *  New upstream v3.2

 -- Dimitris V. Kalamaras <dimitris.kalamaras@gmail.com>  Tue, 01 Apr 2025 21:40:00 +0200

socnetv (3.1-1) bionic; urgency=medium

  *  New upstream v3.1

 -- Dimitris V. Kalamaras <dimitris.kalamaras@gmail.com>  Mon, 12 Jun 2023 13:40:00 +0200

socnetv (3.0.4-1) bionic; urgency=medium

  *  New upstream v3.0.4

 -- Dimitris V. Kalamaras <dimitris.kalamaras@gmail.com>  Fri, 30 Jul 2021 18:40:00 +0200

socnetv (3.0.3-1) bionic; urgency=medium

  *  New upstream v3.0.3

 -- Dimitris V. Kalamaras <dimitris.kalamaras@gmail.com>  Fri, 30 Jul 2021 18:36:00 +0200

socnetv (3.0.2-1) bionic; urgency=medium

  *  New upstream v3.0.2

 -- Dimitris V. Kalamaras <dimitris.kalamaras@gmail.com>  Fri, 30 Jul 2021 03:13:00 +0200

socnetv (3.0.1-1) bionic; urgency=medium

  *  New upstream v3.0.1

 -- Dimitris V. Kalamaras <dimitris.kalamaras@gmail.com>  Fri, 30 Jul 2021 00:13:00 +0200

socnetv (2.9-1) bionic; urgency=medium

  *  New upstream v2.9

 -- Dimitris V. Kalamaras <dimitris.kalamaras@gmail.com>  Mon, 14 Jun 2021 11:13:00 +0200

socnetv (2.8-1) xenial; urgency=medium
  
  *  New upstream v2.8

 -- Dimitris V. Kalamaras <dimitris.kalamaras@gmail.com>  Sun, 03 Jan 2021 17:44:00 +0200

socnetv (2.7-1) xenial; urgency=medium

  *  New upstream v2.7

 -- Dimitris V. Kalamaras <dimitris.kalamaras@gmail.com>  Mon, 28 Dec 2020 20:44:00 +0200

socnetv (2.6-2) xenial; urgency=medium

  *  New fixed upstream version 2.6. See https://socnetv.org/ChangeLog

 -- Dimitris V. Kalamaras <dimitris_kalamaras@yahoo.gr>  Mon, 28 Dec 2020 18:44:00 +0200

socnetv (2.6-1) xenial; urgency=medium

  *  New upstream version 2.6. See https://socnetv.org/ChangeLog

 -- Dimitris V. Kalamaras <dimitris_kalamaras@yahoo.gr>  Mon, 28 Dec 2020 13:44:00 +0200

socnetv (2.5-3) xenial; urgency=medium

  *  New upstream version 2.5. See https://socnetv.org/ChangeLog

 -- Dimitris V. Kalamaras <dimitris_kalamaras@yahoo.gr>  Fri, 08 Mar 2019 11:59:14 +0200

socnetv (2.5-2) xenial; urgency=medium

  *  Fixed bug in debian package creation

 -- Dimitris V. Kalamaras <dimitris_kalamaras@yahoo.gr>  Wed, 20 Feb 2019 14:59:14 +0200

socnetv (2.5-1) xenial; urgency=medium

  * New upstream beta version 2.5-beta. See https://socnetv.org/ChangeLog

 -- Dimitris V. Kalamaras <dimitris_kalamaras@yahoo.gr>  Tue, 19 Feb 2019 01:00:00 +0300

socnetv (2.4-2) xenial; urgency=medium

  * Fixed upstream version 2.4. See https://socnetv.org/ChangeLog

 -- Dimitris V. Kalamaras <dimitris_kalamaras@yahoo.gr>  Wed, 28 Feb 2018 14:18:03 +0300

socnetv (2.4-1) xenial; urgency=medium

  * New upstream version 2.4. See https://socnetv.org/ChangeLog

 -- Dimitris V. Kalamaras <dimitris_kalamaras@yahoo.gr>  Tue, 27 Feb 2018 21:18:03 +0300

socnetv (2.3-1) xenial; urgency=medium

  * New upstream version 2.3. See https://socnetv.org/ChangeLog

 -- Dimitris V. Kalamaras <dimitris_kalamaras@yahoo.gr>  Wed, 05 Jul 2017 11:18:03 +0300

socnetv (2.2-1) xenial; urgency=medium

  * New upstream version 2.2. See https://socnetv.org/ChangeLog

 -- Dimitris V. Kalamaras <dimitris_kalamaras@yahoo.gr>  Sat, 21 Jan 2017 22:13:03 +0300

socnetv (2.1-1) vivid; urgency=medium

  * New upstream version 2.1. See https://socnetv.org/ChangeLog  

 -- Dimitris V. Kalamaras <dimitris_kalamaras@yahoo.gr>  Wed, 28 Sep 2016 22:13:03 +0300

socnetv (2.0-4) vivid; urgency=medium

  * Version 2.0 patch for Ubuntu. 

 -- Dimitris V. Kalamaras <dimitris_kalamaras@yahoo.gr>  Tue, 13 Sep 2016 00:13:03 +0300

socnetv (2.0-3) trusty; urgency=medium

  * New upstream version 2.0. See https://socnetv.org/ChangeLog

 -- Dimitris V. Kalamaras <dimitris_kalamaras@yahoo.gr>  Mon, 12 Sep 2016 22:13:03 +0300

socnetv (1.9-3) trusty; urgency=medium

  * New upstream version 1.9. See https://socnetv.org/ChangeLog 

 -- Dimitris V. Kalamaras <dimitris_kalamaras@yahoo.gr>  Tue, 23 Jun 2015 17:13:03 +0300

socnetv (1.8-3) trusty; urgency=medium

  * New upstream version. See https://socnetv.org/ChangeLog

 -- Dimitris V. Kalamaras <dimitris_kalamaras@yahoo.gr>  Fri, 05 Jun 2015 16:13:03 +0300

socnetv (1.7-3) trusty; urgency=medium

  * New upstream version. See https://socnetv.org/ChangeLog

 -- Dimitris V. Kalamaras <dimitris_kalamaras@yahoo.gr>  Wed, 20 May 2015 16:13:03 +0300

socnetv (1.6-3) trusty; urgency=medium

  * Build to fix upload in ubuntu archive 

 -- Dimitris V. Kalamaras <dimitris_kalamaras@yahoo.gr>  Mon, 11 May 2015 19:17:03 +0300

socnetv (1.6-1) trusty; urgency=medium

  * New upstream version. See https://socnetv.org/ChangeLog

 -- Dimitris V. Kalamaras <dimitris_kalamaras@yahoo.gr>  Mon, 11 May 2015 14:12:55 +0300

socnetv (1.5-3) trusty; urgency=medium

  * New upstream version. See https://socnetv.org/ChangeLog

 -- Dimitris V. Kalamaras <dimitris_kalamaras@yahoo.gr>  Fri, 10 Oct 2014 15:14:34 +0300

socnetv (1.4-3) trusty; urgency=medium

  * upped rev for launchpad to accept package

 -- Dimitris V. Kalamaras <dimitris_kalamaras@yahoo.gr>  Mon, 01 Sep 2014 20:14:34 +0300

socnetv (1.4-1) trusty; urgency=medium

  * Sync to new upstream version

 -- Dimitris V. Kalamaras <dimitris_kalamaras@yahoo.gr>  Sat, 30 Aug 2014 18:06:23 +0300

socnetv (1.3-1) trusty; urgency=medium

  * Sync to new upstream version 1.3
  * Supports multirelational networks.
  * Memory and speed optimization

 -- Dimitris V. Kalamaras <dimitris_kalamaras@yahoo.gr>  Wed, 27 Aug 2014 20:36:23 +0300

socnetv (1.2-1) trusty; urgency=medium

  * Update package to upstream version 1.2 which bring a lot of changes
  * A new "prominence indices" conceptualization based on Wasserman & Faust
  * SocNetV distinguishes between Centrality and Prestige indices.
  * Added 3 Prestige indices (Degree, Proximity and PageRank)
  * New reachability measures (Walks, Connectedness, and Reachability Matrix) 
  * New Connectedness statistic: Checks whether the graph is connected.
  * New "distance" index: Eccentricity e

