=== debian/rules ===
#!/usr/bin/make -f

%:
	QT_SELECT=5 dh $@

override_dh_auto_configure:
	dh_auto_configure -- INSTALLS+=doc

override_dh_auto_install:
	$(MAKE) INSTALL_ROOT=$$(pwd)/debian/socnetv install
